from datetime import datetime

# Aby uzyskać dostęp do pliku, nalżey zacząć od wywołania funckji open.
# Na przykład, aby zapisać dane do pliku, musimy użyć open z opcją mode='w'

plik = open('nowy_plik.txt', mode='w', encoding='utf-8')

# Dwa sposoby zapisywanie tekstu do pliku:
# 1) metody wywoływane na obiekcie pliku.
# Uwaga - one nie dopisują znaku nowej linii.
plik.write('Ala ma kota')
plik.write(' i psa.\n')
lista = ['Ewa ma chomika.', 'Ula ma rybki.\n', 'Ostatni element listy.\n']
plik.writelines(lista)

# 2) funkcja print z parametrem file
print('Bieżący czas:', datetime.now(), file=plik)
print('Gdańsk', 'Sopot', 'Gdynia', sep=';', file=plik)

# Gdy kończymy korzystać z pliku, to należy go zamknąć.
plik.close()


